﻿Imports System.Runtime.InteropServices
Imports System.ComponentModel
Imports System.Windows.Forms
Imports AddinExpress.MSO
Imports Excel = Microsoft.Office.Interop.Excel

'Add-in Express Add-in Module
<GuidAttribute("36EEA1E4-6A9D-44DB-856A-6C0F5635B237"), ProgIdAttribute("ExcelRibbonsAndToolbars.AddinModule")> _
Public Class AddinModule
    Inherits AddinExpress.MSO.ADXAddinModule
    Friend WithEvents AdxRibbonDialogBoxLauncher1 As AddinExpress.MSO.ADXRibbonDialogBoxLauncher
    Friend WithEvents AdxRibbonButton4 As AddinExpress.MSO.ADXRibbonButton
    Friend WithEvents AdxRibbonButton3 As AddinExpress.MSO.ADXRibbonButton
    Friend WithEvents AdxRibbonGallery1 As AddinExpress.MSO.ADXRibbonGallery
    Friend WithEvents AdxRibbonComboBox1 As AddinExpress.MSO.ADXRibbonComboBox
    Friend WithEvents AdxRibbonCheckBox1 As AddinExpress.MSO.ADXRibbonCheckBox
    Friend WithEvents AdxRibbonGroup2 As AddinExpress.MSO.ADXRibbonGroup
    Friend WithEvents AdxRibbonButton2 As AddinExpress.MSO.ADXRibbonButton
    Friend WithEvents AdxRibbonButton1 As AddinExpress.MSO.ADXRibbonButton
    Friend WithEvents AdxRibbonGroup1 As AddinExpress.MSO.ADXRibbonGroup
    Friend WithEvents RibbonExcel As AddinExpress.MSO.ADXRibbonTab
    Friend WithEvents ImageListRibbon As System.Windows.Forms.ImageList
    Friend WithEvents LinkLabelAdvancedControl As AddinExpress.MSO.ADXCommandBarAdvancedControl
    Friend WithEvents AdxCommandBarComboBox1 As AddinExpress.MSO.ADXCommandBarComboBox
    Friend WithEvents AdxCommandBarButton1 As AddinExpress.MSO.ADXCommandBarButton
    Friend WithEvents AdxCommandBarButton2 As AddinExpress.MSO.ADXCommandBarButton
    Friend WithEvents CommandBarExcel As AddinExpress.MSO.ADXCommandBar
    Friend WithEvents ImageListCommandBar As System.Windows.Forms.ImageList
    Friend WithEvents HelpLink As System.Windows.Forms.LinkLabel
    Friend WithEvents AdxExcelControlAdapter1 As AddinExpress.ToolbarControls.ADXExcelControlAdapter
    Friend WithEvents StandardToolbar As AddinExpress.MSO.ADXCommandBar
    Friend WithEvents AdxCommandBarButton3 As AddinExpress.MSO.ADXCommandBarButton
    Friend WithEvents AdxCommandBarButton4 As AddinExpress.MSO.ADXCommandBarButton
    Friend WithEvents AdxCommandBarComboBox2 As AddinExpress.MSO.ADXCommandBarComboBox

#Region " Component Designer generated code. "
    'Required by designer
    Private components As System.ComponentModel.IContainer

    'Required by designer - do not modify
    'the following method
    Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container()
        Dim resources As System.ComponentModel.ComponentResourceManager = New System.ComponentModel.ComponentResourceManager(GetType(AddinModule))
        Me.HelpLink = New System.Windows.Forms.LinkLabel()
        Me.ImageListCommandBar = New System.Windows.Forms.ImageList(Me.components)
        Me.CommandBarExcel = New AddinExpress.MSO.ADXCommandBar(Me.components)
        Me.AdxCommandBarButton2 = New AddinExpress.MSO.ADXCommandBarButton(Me.components)
        Me.AdxCommandBarButton1 = New AddinExpress.MSO.ADXCommandBarButton(Me.components)
        Me.AdxCommandBarComboBox1 = New AddinExpress.MSO.ADXCommandBarComboBox(Me.components)
        Me.LinkLabelAdvancedControl = New AddinExpress.MSO.ADXCommandBarAdvancedControl(Me.components)
        Me.ImageListRibbon = New System.Windows.Forms.ImageList(Me.components)
        Me.RibbonExcel = New AddinExpress.MSO.ADXRibbonTab(Me.components)
        Me.AdxRibbonGroup1 = New AddinExpress.MSO.ADXRibbonGroup(Me.components)
        Me.AdxRibbonButton1 = New AddinExpress.MSO.ADXRibbonButton(Me.components)
        Me.AdxRibbonButton2 = New AddinExpress.MSO.ADXRibbonButton(Me.components)
        Me.AdxRibbonGroup2 = New AddinExpress.MSO.ADXRibbonGroup(Me.components)
        Me.AdxRibbonCheckBox1 = New AddinExpress.MSO.ADXRibbonCheckBox(Me.components)
        Me.AdxRibbonComboBox1 = New AddinExpress.MSO.ADXRibbonComboBox(Me.components)
        Me.AdxRibbonGallery1 = New AddinExpress.MSO.ADXRibbonGallery(Me.components)
        Me.AdxRibbonButton3 = New AddinExpress.MSO.ADXRibbonButton(Me.components)
        Me.AdxRibbonButton4 = New AddinExpress.MSO.ADXRibbonButton(Me.components)
        Me.AdxRibbonDialogBoxLauncher1 = New AddinExpress.MSO.ADXRibbonDialogBoxLauncher(Me.components)
        Me.AdxExcelControlAdapter1 = New AddinExpress.ToolbarControls.ADXExcelControlAdapter(Me.components)
        Me.StandardToolbar = New AddinExpress.MSO.ADXCommandBar(Me.components)
        Me.AdxCommandBarButton3 = New AddinExpress.MSO.ADXCommandBarButton(Me.components)
        Me.AdxCommandBarButton4 = New AddinExpress.MSO.ADXCommandBarButton(Me.components)
        Me.AdxCommandBarComboBox2 = New AddinExpress.MSO.ADXCommandBarComboBox(Me.components)
        '
        'HelpLink
        '
        Me.HelpLink.AutoSize = True
        Me.HelpLink.Location = New System.Drawing.Point(0, 0)
        Me.HelpLink.Name = "HelpLink"
        Me.HelpLink.Size = New System.Drawing.Size(100, 23)
        Me.HelpLink.TabIndex = 0
        Me.HelpLink.TabStop = True
        Me.HelpLink.Text = "Add-In Express"
        '
        'ImageListCommandBar
        '
        Me.ImageListCommandBar.ImageStream = CType(resources.GetObject("ImageListCommandBar.ImageStream"), System.Windows.Forms.ImageListStreamer)
        Me.ImageListCommandBar.TransparentColor = System.Drawing.Color.Transparent
        Me.ImageListCommandBar.Images.SetKeyName(0, "CalculatorHandheld16.png")
        Me.ImageListCommandBar.Images.SetKeyName(1, "Calculator16.png")
        Me.ImageListCommandBar.Images.SetKeyName(2, "Charting Grey Add16.png")
        Me.ImageListCommandBar.Images.SetKeyName(3, "ReportWithNumbers16.png")
        '
        'CommandBarExcel
        '
        Me.CommandBarExcel.CommandBarName = "Standard"
        Me.CommandBarExcel.CommandBarTag = "65460690-3bca-4f5a-a4b1-d7d11ebf9ac1"
        Me.CommandBarExcel.Controls.Add(Me.AdxCommandBarButton2)
        Me.CommandBarExcel.Controls.Add(Me.AdxCommandBarButton1)
        Me.CommandBarExcel.Controls.Add(Me.AdxCommandBarComboBox1)
        Me.CommandBarExcel.Controls.Add(Me.LinkLabelAdvancedControl)
        Me.CommandBarExcel.SupportedApps = AddinExpress.MSO.ADXOfficeHostApp.ohaExcel
        Me.CommandBarExcel.UpdateCounter = 26
        '
        'AdxCommandBarButton2
        '
        Me.AdxCommandBarButton2.Caption = "Insert Secret Calc"
        Me.AdxCommandBarButton2.ControlTag = "970316c4-4930-4bae-a36f-f8941b04dffe"
        Me.AdxCommandBarButton2.Image = 1
        Me.AdxCommandBarButton2.ImageList = Me.ImageListCommandBar
        Me.AdxCommandBarButton2.ImageTransparentColor = System.Drawing.Color.Transparent
        Me.AdxCommandBarButton2.Style = AddinExpress.MSO.ADXMsoButtonStyle.adxMsoButtonIconAndCaption
        Me.AdxCommandBarButton2.UpdateCounter = 8
        '
        'AdxCommandBarButton1
        '
        Me.AdxCommandBarButton1.Caption = "Link to Summary Workbook"
        Me.AdxCommandBarButton1.ControlTag = "ea35b2b7-d6d8-485a-b2a9-7df6a0881392"
        Me.AdxCommandBarButton1.Image = 2
        Me.AdxCommandBarButton1.ImageList = Me.ImageListCommandBar
        Me.AdxCommandBarButton1.ImageTransparentColor = System.Drawing.Color.Transparent
        Me.AdxCommandBarButton1.Style = AddinExpress.MSO.ADXMsoButtonStyle.adxMsoButtonIconAndCaption
        Me.AdxCommandBarButton1.UpdateCounter = 9
        '
        'AdxCommandBarComboBox1
        '
        Me.AdxCommandBarComboBox1.BeginGroup = True
        Me.AdxCommandBarComboBox1.Caption = "Financial Models"
        Me.AdxCommandBarComboBox1.ControlTag = "4b1bdd4c-46be-4f29-9da0-a542cb8437fc"
        Me.AdxCommandBarComboBox1.Items.AddRange(New String() {"Project Estimator", "Quarterly projections"})
        Me.AdxCommandBarComboBox1.Style = AddinExpress.MSO.ADXMsoComboStyle.adxMsoComboLabel
        Me.AdxCommandBarComboBox1.UpdateCounter = 7
        '
        'LinkLabelAdvancedControl
        '
        Me.LinkLabelAdvancedControl.Control = Me.HelpLink
        Me.LinkLabelAdvancedControl.ControlTag = "33b5df47-470b-43ed-aa59-7846a229734f"
        Me.LinkLabelAdvancedControl.UpdateCounter = 5
        '
        'ImageListRibbon
        '
        Me.ImageListRibbon.ImageStream = CType(resources.GetObject("ImageListRibbon.ImageStream"), System.Windows.Forms.ImageListStreamer)
        Me.ImageListRibbon.TransparentColor = System.Drawing.Color.Transparent
        Me.ImageListRibbon.Images.SetKeyName(0, "CalculatorHandheld32.png")
        Me.ImageListRibbon.Images.SetKeyName(1, "Calculator32.png")
        Me.ImageListRibbon.Images.SetKeyName(2, "Charting Grey Add32.png")
        Me.ImageListRibbon.Images.SetKeyName(3, "ReportWithNumbers32.png")
        '
        'RibbonExcel
        '
        Me.RibbonExcel.Caption = "MY CUSTOM EXCEL RIBBON"
        Me.RibbonExcel.Controls.Add(Me.AdxRibbonGroup1)
        Me.RibbonExcel.Controls.Add(Me.AdxRibbonGroup2)
        Me.RibbonExcel.Id = "adxRibbonTab_fb831ad2e6a549b68ee4ed3156b5bb76"
        Me.RibbonExcel.Ribbons = AddinExpress.MSO.ADXRibbons.msrExcelWorkbook
        '
        'AdxRibbonGroup1
        '
        Me.AdxRibbonGroup1.Caption = "Ribbon Buttons"
        Me.AdxRibbonGroup1.Controls.Add(Me.AdxRibbonButton1)
        Me.AdxRibbonGroup1.Controls.Add(Me.AdxRibbonButton2)
        Me.AdxRibbonGroup1.Id = "adxRibbonGroup_b7e673c1fc81494e817e8dd4647ffc21"
        Me.AdxRibbonGroup1.ImageTransparentColor = System.Drawing.Color.Transparent
        Me.AdxRibbonGroup1.Ribbons = AddinExpress.MSO.ADXRibbons.msrExcelWorkbook
        '
        'AdxRibbonButton1
        '
        Me.AdxRibbonButton1.Caption = "Insert Secret Financial Calc"
        Me.AdxRibbonButton1.Id = "adxRibbonButton_d484ddc2ff7c477ab0b328a322457dbc"
        Me.AdxRibbonButton1.Image = 1
        Me.AdxRibbonButton1.ImageList = Me.ImageListRibbon
        Me.AdxRibbonButton1.ImageTransparentColor = System.Drawing.Color.Transparent
        Me.AdxRibbonButton1.Ribbons = AddinExpress.MSO.ADXRibbons.msrExcelWorkbook
        Me.AdxRibbonButton1.Size = AddinExpress.MSO.ADXRibbonXControlSize.Large
        '
        'AdxRibbonButton2
        '
        Me.AdxRibbonButton2.Caption = "Link to Summary Workbook"
        Me.AdxRibbonButton2.Id = "adxRibbonButton_520e96e72cdc49bb9b2a46f3803e03e8"
        Me.AdxRibbonButton2.Image = 2
        Me.AdxRibbonButton2.ImageList = Me.ImageListRibbon
        Me.AdxRibbonButton2.ImageTransparentColor = System.Drawing.Color.Transparent
        Me.AdxRibbonButton2.Ribbons = AddinExpress.MSO.ADXRibbons.msrExcelWorkbook
        Me.AdxRibbonButton2.Size = AddinExpress.MSO.ADXRibbonXControlSize.Large
        '
        'AdxRibbonGroup2
        '
        Me.AdxRibbonGroup2.Caption = "Other Ribbon Controls"
        Me.AdxRibbonGroup2.Controls.Add(Me.AdxRibbonCheckBox1)
        Me.AdxRibbonGroup2.Controls.Add(Me.AdxRibbonComboBox1)
        Me.AdxRibbonGroup2.Controls.Add(Me.AdxRibbonGallery1)
        Me.AdxRibbonGroup2.Controls.Add(Me.AdxRibbonDialogBoxLauncher1)
        Me.AdxRibbonGroup2.Id = "adxRibbonGroup_dbfdd250eeee48289df4e292b5af8e1b"
        Me.AdxRibbonGroup2.ImageTransparentColor = System.Drawing.Color.Transparent
        Me.AdxRibbonGroup2.Ribbons = AddinExpress.MSO.ADXRibbons.msrExcelWorkbook
        '
        'AdxRibbonCheckBox1
        '
        Me.AdxRibbonCheckBox1.Caption = "Save all settings"
        Me.AdxRibbonCheckBox1.Id = "adxRibbonCheckBox_36e7469d1eed489a80d632d39d3ebf2f"
        Me.AdxRibbonCheckBox1.Ribbons = AddinExpress.MSO.ADXRibbons.msrExcelWorkbook
        '
        'AdxRibbonComboBox1
        '
        Me.AdxRibbonComboBox1.Caption = "Company financial models"
        Me.AdxRibbonComboBox1.Id = "adxRibbonComboBox_6ae0320c663642da82fb24aef9569be8"
        Me.AdxRibbonComboBox1.ImageTransparentColor = System.Drawing.Color.Transparent
        Me.AdxRibbonComboBox1.Ribbons = AddinExpress.MSO.ADXRibbons.msrExcelWorkbook
        '
        'AdxRibbonGallery1
        '
        Me.AdxRibbonGallery1.Caption = "Pick a template"
        Me.AdxRibbonGallery1.Controls.Add(Me.AdxRibbonButton3)
        Me.AdxRibbonGallery1.Controls.Add(Me.AdxRibbonButton4)
        Me.AdxRibbonGallery1.Id = "adxRibbonGallery_9b701ba06dff4f729002ad73ac0a73b5"
        Me.AdxRibbonGallery1.Image = 3
        Me.AdxRibbonGallery1.ImageList = Me.ImageListRibbon
        Me.AdxRibbonGallery1.ImageTransparentColor = System.Drawing.Color.Transparent
        Me.AdxRibbonGallery1.Ribbons = AddinExpress.MSO.ADXRibbons.msrExcelWorkbook
        Me.AdxRibbonGallery1.Size = AddinExpress.MSO.ADXRibbonXControlSize.Large
        '
        'AdxRibbonButton3
        '
        Me.AdxRibbonButton3.Caption = "Project Estimator"
        Me.AdxRibbonButton3.Id = "adxRibbonButton_28c4b3541be3408194f883cca0054381"
        Me.AdxRibbonButton3.ImageTransparentColor = System.Drawing.Color.Transparent
        Me.AdxRibbonButton3.Ribbons = AddinExpress.MSO.ADXRibbons.msrExcelWorkbook
        Me.AdxRibbonButton3.Size = AddinExpress.MSO.ADXRibbonXControlSize.Large
        '
        'AdxRibbonButton4
        '
        Me.AdxRibbonButton4.Caption = "Quarterly projections"
        Me.AdxRibbonButton4.Id = "adxRibbonButton_610898e8cfe143bcba5137928a001e26"
        Me.AdxRibbonButton4.ImageTransparentColor = System.Drawing.Color.Transparent
        Me.AdxRibbonButton4.Ribbons = AddinExpress.MSO.ADXRibbons.msrExcelWorkbook
        Me.AdxRibbonButton4.Size = AddinExpress.MSO.ADXRibbonXControlSize.Large
        '
        'AdxRibbonDialogBoxLauncher1
        '
        Me.AdxRibbonDialogBoxLauncher1.Id = "adxRibbonDialogBoxLauncher_fa137f6342bb4747a2092e5f8e808ae3"
        Me.AdxRibbonDialogBoxLauncher1.Ribbons = AddinExpress.MSO.ADXRibbons.msrExcelWorkbook
        '
        'StandardToolbar
        '
        Me.StandardToolbar.CommandBarName = "Standard"
        Me.StandardToolbar.CommandBarTag = "65460690-3bca-4f5a-a4b1-d7d11ebf9ac1"
        Me.StandardToolbar.Controls.Add(Me.AdxCommandBarButton3)
        Me.StandardToolbar.Controls.Add(Me.AdxCommandBarButton4)
        Me.StandardToolbar.Controls.Add(Me.AdxCommandBarComboBox2)
        Me.StandardToolbar.SupportedApps = AddinExpress.MSO.ADXOfficeHostApp.ohaExcel
        Me.StandardToolbar.UpdateCounter = 30
        '
        'AdxCommandBarButton3
        '
        Me.AdxCommandBarButton3.Caption = "Insert Secret Calc"
        Me.AdxCommandBarButton3.ControlTag = "970316c4-4930-4bae-a36f-f8941b04dffe"
        Me.AdxCommandBarButton3.Image = 1
        Me.AdxCommandBarButton3.ImageList = Me.ImageListCommandBar
        Me.AdxCommandBarButton3.ImageTransparentColor = System.Drawing.Color.Transparent
        Me.AdxCommandBarButton3.Style = AddinExpress.MSO.ADXMsoButtonStyle.adxMsoButtonIconAndCaption
        Me.AdxCommandBarButton3.UpdateCounter = 10
        '
        'AdxCommandBarButton4
        '
        Me.AdxCommandBarButton4.Caption = "Link to Summary Workbook"
        Me.AdxCommandBarButton4.ControlTag = "ea35b2b7-d6d8-485a-b2a9-7df6a0881392"
        Me.AdxCommandBarButton4.Image = 2
        Me.AdxCommandBarButton4.ImageList = Me.ImageListCommandBar
        Me.AdxCommandBarButton4.ImageTransparentColor = System.Drawing.Color.Transparent
        Me.AdxCommandBarButton4.Style = AddinExpress.MSO.ADXMsoButtonStyle.adxMsoButtonIconAndCaption
        Me.AdxCommandBarButton4.UpdateCounter = 11
        '
        'AdxCommandBarComboBox2
        '
        Me.AdxCommandBarComboBox2.BeginGroup = True
        Me.AdxCommandBarComboBox2.Caption = "Financial Models"
        Me.AdxCommandBarComboBox2.ControlTag = "4b1bdd4c-46be-4f29-9da0-a542cb8437fc"
        Me.AdxCommandBarComboBox2.Items.AddRange(New String() {"Project Estimator", "Quarterly projections"})
        Me.AdxCommandBarComboBox2.Style = AddinExpress.MSO.ADXMsoComboStyle.adxMsoComboLabel
        Me.AdxCommandBarComboBox2.UpdateCounter = 9
        '
        'AddinModule
        '
        Me.AddinName = "ExcelRibbonsAndToolbars"
        Me.SupportedApps = AddinExpress.MSO.ADXOfficeHostApp.ohaExcel

    End Sub

#End Region
 
#Region " Add-in Express automatic code "
 
    'Required by Add-in Express - do not modify
    'the methods within this region
 
    Public Overrides Function GetContainer() As System.ComponentModel.IContainer
        If components Is Nothing Then
            components = New System.ComponentModel.Container
        End If
        GetContainer = components
    End Function
 
    <ComRegisterFunctionAttribute()> _
    Public Shared Sub AddinRegister(ByVal t As Type)
        AddinExpress.MSO.ADXAddinModule.ADXRegister(t)
    End Sub
 
    <ComUnregisterFunctionAttribute()> _
    Public Shared Sub AddinUnregister(ByVal t As Type)
        AddinExpress.MSO.ADXAddinModule.ADXUnregister(t)
    End Sub
 
    Public Overrides Sub UninstallControls()
        MyBase.UninstallControls()
    End Sub
 
#End Region
 
    Public Sub New()
        MyBase.New()
 
        Application.EnableVisualStyles()
        'This call is required by the Component Designer
        InitializeComponent()
 
        'Please add any initialization code to the AddinInitialize event handler
 
    End Sub

    Public Shared Shadows ReadOnly Property CurrentInstance() As AddinModule
        Get
            Return CType(AddinExpress.MSO.ADXAddinModule.CurrentInstance, AddinModule)
        End Get
    End Property

    Public ReadOnly Property ExcelApp() As Excel._Application
        Get
            Return CType(HostApplication, Excel._Application)
        End Get
    End Property


End Class

